# EXTPackedDepthStencil (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTPackedDepthStencil

    java.lang.Object
      org.lwjgl.opengl.EXTPackedDepthStencil

    public final class EXTPackedDepthStencil

extends java.lang.Object

Field Summary

`static int`

`GL_DEPTH_STENCIL_EXT`
Accepted by the <format> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage, by the <type> parameter of CopyPixels, by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT.

`static int` `GL_DEPTH24_STENCIL8_EXT` Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT.
`static int` `GL_TEXTURE_STENCIL_SIZE_EXT` Accepted by the <value> parameter of GetTexLevelParameter.
`static int` `GL_UNSIGNED_INT_24_8_EXT` Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_DEPTH_STENCIL_EXT

    public static final int GL_DEPTH_STENCIL_EXT

  Accepted by the <format> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage, by the <type> parameter of CopyPixels, by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT.

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_24_8_EXT

    public static final int GL_UNSIGNED_INT_24_8_EXT

  Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage.

  See Also:
    Constant Field Values

### GL_DEPTH24_STENCIL8_EXT

    public static final int GL_DEPTH24_STENCIL8_EXT

  Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT.

  See Also:
    Constant Field Values

### GL_TEXTURE_STENCIL_SIZE_EXT

    public static final int GL_TEXTURE_STENCIL_SIZE_EXT

  Accepted by the <value> parameter of GetTexLevelParameter.

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.